### Method

# Gtk Accessible get_accessible_id

since: 4.22

#### Declaration [src]

    char*
    gtk_accessible_get_accessible_id (
      GtkAccessible* self
    )

#### Description [src]

Retrieves the accessible identifier for the accessible object.

This functionality can be overridden by `GtkAccessible` implementations.

It is left to the accessible implementation to define the scope and uniqueness of the identifier.

Available since: 4.22

#### Return value

Type: `char*`

The accessible identifier.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.